View Issue Details

IDProjectCategoryView StatusLast Update
00290982.x IDE BugsSource ControlPublic2018-06-12 14:31
ReporterDanAssigned ToSteven Campbell 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.1.3 
Target Version2.1.4Fixed in Version2.1.4 
Summary0029098: Souce Control: "User cancelled certificate check" dialog shown when trying to work with Github/Bitbucket projects
DescriptionGithub and Bitbucket have changed their security settings and URL format again, so currently if a user clones a repo just now, those users get a dialog "User cancelled certificate check: " each time they try to work with their project (note the extra colon - not sure if this is a dialog we provide the text for, and so can remove this?).

Currently, GMS2's integrated git cannot clone/push/pull and so users of source control projects in this state will need to do this externally.


If you haven't cloned your project in the last month or so (since the sites made the change), you're fine.
Steps To Reproduce1. Freshly clone a project hosted on Github.
2. Start GMS2.
3. Try to open the project/pull changes, etc.
4. Observe the dialog.
Additional Informationhttps://yoyogames.zendesk.com/agent/tickets/140825
Tags214
2.x IDE Found In2.1.3.273
2.x Runtime Found In2.1.3.189
2.x IDE Verified In2.1.4.284
2.x Runtime Verified In2.1.4.200

Activities

Dan

2018-03-08 10:14

Adminstrator  

140825_ui.log (195,745 bytes)

Steven Campbell

2018-03-08 11:02

Developer   ~0058002

Fixed in Git Id: fac47828b08f2a8bf70240bbe81b27f6b1131425

Sam Cumming

2018-04-02 14:20

Developer   ~0058497

Verified > 2.1.4.284 / rt 2.1.4.200 - Closing.